FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000842FL54. Element, Byte, Record or other APIpublic2016-12-24 09:492019-03-15 14:59
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1.14 
Target Version5.1.20Fixed in Version5.1.20 
Summary0000842: Write of more then one member to a ZIP/FLAM archive with FLUC interface
DescriptionCurrently it is not possible to write more then one file to the same target. A kind of end of member begin of next member is required.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001049)
Falk Reichbott (administrator)
2016-12-24 09:51

A reopen function is missing (flreopen() FCRREO).
(0001050)
Falk Reichbott (administrator)
2016-12-24 09:56

at read it is mainly the same, here we need a return code to signal the end of a member and a additionl function to get the member information.
(0001221)
Falk Reichbott (administrator)
2019-03-15 14:59

A new function fcbnewmbr() for byte interface and FCRNEWM() for the record interface implements the required re-opn, which improves performance of ZIP archives with a huge amount of member up to factor 100.

- Issue History
Date Modified Username Field Change
2016-12-24 09:49 Falk Reichbott New Issue
2016-12-24 09:49 Falk Reichbott Status new => assigned
2016-12-24 09:49 Falk Reichbott Assigned To => Falk Reichbott
2016-12-24 09:51 Falk Reichbott Note Added: 0001049
2016-12-24 09:56 Falk Reichbott Note Added: 0001050
2017-03-03 17:21 Falk Reichbott Target Version 5.1.15 => 5.1.17
2018-03-05 08:00 Falk Reichbott Target Version 5.1.17 => 5.1.18
2018-06-18 09:35 Falk Reichbott Target Version 5.1.18 => 5.1.19
2018-06-22 16:47 Falk Reichbott Target Version 5.1.19 => 5.1.20
2018-11-02 12:46 Falk Reichbott Target Version 5.1.20 => 5.1.21
2019-03-11 00:20 Falk Reichbott Target Version 5.1.21 => 5.1.20
2019-03-15 14:59 Falk Reichbott Note Added: 0001221
2019-03-15 14:59 Falk Reichbott Status assigned => resolved
2019-03-15 14:59 Falk Reichbott Fixed in Version => 5.1.20
2019-03-15 14:59 Falk Reichbott Resolution open => fixed
2019-03-15 15:01 Falk Reichbott Note View State: 0001221: public


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker